libwpg::WPGBitmap Class Reference documentation

Classes | Public Member Functions | Private Attributes | List of all members
libwpg::WPGBitmap Class Reference

`#include <WPGBitmap.h>`

## Classes
class | Private

## Public Member Functions
| WPGBitmap (int width, int height, int verticalResolution, int horizontalResolution, bool verticalFlip=false, bool horizontalFlip=false)
| WPGBitmap (const WPGBitmap &)
WPGBitmap & | operator= (const WPGBitmap &)
void | copyFrom (const WPGBitmap &)
| ~WPGBitmap ()
int | width () const
int | height () const
int | vres () const
int | hres () const
void | setPixel (int x, int y, const WPGColor &color)
const librevenge::RVNGBinaryData & | getDIB () const

## Private Attributes
std::unique_ptr< Private > const | d

## Constructor & Destructor Documentation

## ◆ WPGBitmap() [1/2]

libwpg::WPGBitmap::WPGBitmap | ( | int | width,
|  | int | height,
|  | int | verticalResolution,
|  | int | horizontalResolution,
|  | bool | verticalFlip = `false`,
|  | bool | horizontalFlip = `false`
| ) |  |

## ◆ WPGBitmap() [2/2]

libwpg::WPGBitmap::WPGBitmap | ( | const WPGBitmap & | bitmap | ) |

## ◆ ~WPGBitmap()

libwpg::WPGBitmap::~WPGBitmap | ( |  | ) |

## Member Function Documentation

## ◆ copyFrom()

void libwpg::WPGBitmap::copyFrom | ( | const WPGBitmap & | bitmap | ) |

Referenced by operator=(), and WPGBitmap().

## ◆ getDIB()

const librevenge::RVNGBinaryData & libwpg::WPGBitmap::getDIB | ( |  | ) | const

Referenced by WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), and WPG1Parser::handleBitmapTypeTwo().

## ◆ height()

int libwpg::WPGBitmap::height | ( |  | ) | const

Referenced by getDIB().

## ◆ hres()

int libwpg::WPGBitmap::hres | ( |  | ) | const

Referenced by getDIB().

## ◆ operator=()

libwpg::WPGBitmap & libwpg::WPGBitmap::operator= | ( | const WPGBitmap & | bitmap | ) |

## ◆ setPixel()

void libwpg::WPGBitmap::setPixel | ( | int | x,
|  | int | y,
|  | const WPGColor & | color
| ) |  |

Referenced by WPG1Parser::fillPixels(), and WPG2Parser::handleBitmapData().

## ◆ vres()

int libwpg::WPGBitmap::vres | ( |  | ) | const

Referenced by getDIB().

## ◆ width()

int libwpg::WPGBitmap::width | ( |  | ) | const

Referenced by getDIB().

## Member Data Documentation

## ◆ d

std::unique_ptr<Private> const libwpg::WPGBitmap::d
| private

Referenced by copyFrom(), getDIB(), height(), hres(), setPixel(), vres(), width(), and WPGBitmap().

The documentation for this class was generated from the following files:

- WPGBitmap.h
- WPGBitmap.cpp